This is an automated email from the ASF dual-hosted git repository.

dataroaring pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/doris.git


The following commit(s) were added to refs/heads/master by this push:
     new 8cde1b44b7b [fix](ci) add ak sk for cloud regression (#31361)
8cde1b44b7b is described below

commit 8cde1b44b7ba659b8cd46cf3cb8152001962803d
Author: Dongyang Li <hello_step...@qq.com>
AuthorDate: Sat Feb 24 15:29:19 2024 +0800

    [fix](ci) add ak sk for cloud regression (#31361)
    
    
    
    Co-authored-by: stephen <hello-step...@qq.com>
---
 regression-test/pipeline/cloud_p0/conf/regression-conf-custom.groovy | 4 +++-
 regression-test/pipeline/cloud_p0/prepare.sh                         | 1 +
 regression-test/pipeline/cloud_p0/run.sh                             | 3 +++
 regression-test/pipeline/cloud_p1/conf/regression-conf-custom.groovy | 3 +++
 4 files changed, 10 insertions(+), 1 deletion(-)

diff --git 
a/regression-test/pipeline/cloud_p0/conf/regression-conf-custom.groovy 
b/regression-test/pipeline/cloud_p0/conf/regression-conf-custom.groovy
index fa5769e676e..8637ef11033 100644
--- a/regression-test/pipeline/cloud_p0/conf/regression-conf-custom.groovy
+++ b/regression-test/pipeline/cloud_p0/conf/regression-conf-custom.groovy
@@ -17,4 +17,6 @@
 
 testGroups = "p0"
 testDirectories = 
"ddl_p0,database_p0,load,load_p0,query_p0,table_p0,account_p0,autobucket,bitmap_functions,bloom_filter_p0,cast_decimal_to_boolean,cast_double_to_decimal,compression_p0,connector_p0,correctness,correctness_p0,csv_header_p0,data_model_p0,database_p0,datatype_p0,delete_p0,demo_p0,empty_relation,export_p0,external_table_p0,fault_injection_p0,flink_connector_p0,insert_overwrite_p0,insert_p0,internal_schema_p0,javaudf_p0,job_p0,json_p0,jsonb_p0,meta_action_p0,metrics_p0,mtmv_
 [...]
-
+//exclude groups and exclude suites is more prior than include groups and 
include suites.
+excludeSuites = 
"test_index_failure_injection,test_dump_image,test_profile,test_spark_load,test_refresh_mtmv,test_bitmap_filter,test_information_schema_external"
+excludeDirectories = "workload_manager_p1,nereids_rules_p0/subquery"
diff --git a/regression-test/pipeline/cloud_p0/prepare.sh 
b/regression-test/pipeline/cloud_p0/prepare.sh
index f3e5ff97d11..195e9c01b5b 100644
--- a/regression-test/pipeline/cloud_p0/prepare.sh
+++ b/regression-test/pipeline/cloud_p0/prepare.sh
@@ -73,6 +73,7 @@ if [[ -z "${pr_num_from_trigger}" ]]; then echo "ERROR: env 
pr_num_from_trigger
 if [[ -z "${commit_id_from_trigger}" ]]; then echo "ERROR: env 
commit_id_from_trigger not set" && exit 1; fi
 if [[ -z "${commit_id_from_checkout}" ]]; then echo "ERROR: env 
commit_id_from_checkout not set" && exit 1; fi
 if [[ -z "${target_branch}" ]]; then echo "ERROR: env target_branch not set" 
&& exit 1; fi
+if [[ -z "${cos_ak}" || -z "${cos_sk}" ]]; then echo "ERROR: env cos_ak or 
cos_sk not set" && exit 1; fi
 
 echo "#### 1. check if need run"
 if [[ "${commit_id_from_trigger}" != "${commit_id_from_checkout}" ]]; then
diff --git a/regression-test/pipeline/cloud_p0/run.sh 
b/regression-test/pipeline/cloud_p0/run.sh
index 933db1e08bb..3825f9f5257 100644
--- a/regression-test/pipeline/cloud_p0/run.sh
+++ b/regression-test/pipeline/cloud_p0/run.sh
@@ -30,6 +30,7 @@ echo "#### Check env"
 if [[ -z "${teamcity_build_checkoutDir}" ]]; then echo "ERROR: env 
teamcity_build_checkoutDir not set" && exit 1; fi
 if [[ -z "${pr_num_from_trigger}" ]]; then echo "ERROR: env 
pr_num_from_trigger not set" && exit 1; fi
 if [[ -z "${commit_id_from_trigger}" ]]; then echo "ERROR: env 
commit_id_from_trigger not set" && exit 1; fi
+if [[ -z "${cos_ak}" || -z "${cos_sk}" ]]; then echo "ERROR: env cos_ak or 
cos_sk not set" && exit 1; fi
 
 # shellcheck source=/dev/null
 source "$(bash 
"${teamcity_build_checkoutDir}"/regression-test/pipeline/common/get-or-set-tmp-env.sh
 'get')"
@@ -46,6 +47,8 @@ run() {
     shopt -s inherit_errexit
 
     cd "${teamcity_build_checkoutDir}" || return 1
+    echo "ak=${cos_ak}" 
>>"${teamcity_build_checkoutDir}"/regression-test/pipeline/cloud_p0/conf/regression-conf-custom.groovy
+    echo "sk=${cos_sk}" 
>>"${teamcity_build_checkoutDir}"/regression-test/pipeline/cloud_p0/conf/regression-conf-custom.groovy
     cp -f 
"${teamcity_build_checkoutDir}"/regression-test/pipeline/cloud_p0/conf/regression-conf-custom.groovy
 \
         "${teamcity_build_checkoutDir}"/regression-test/conf/
     if "${teamcity_build_checkoutDir}"/run-regression-test.sh \
diff --git 
a/regression-test/pipeline/cloud_p1/conf/regression-conf-custom.groovy 
b/regression-test/pipeline/cloud_p1/conf/regression-conf-custom.groovy
index 69e59d1493c..c13dae5a7f9 100644
--- a/regression-test/pipeline/cloud_p1/conf/regression-conf-custom.groovy
+++ b/regression-test/pipeline/cloud_p1/conf/regression-conf-custom.groovy
@@ -1 +1,4 @@
 testGroups = "p1"
+//exclude groups and exclude suites is more prior than include groups and 
include suites.
+excludeSuites = 
"test_big_pad,test_profile,test_broker_load,test_spark_load,test_analyze_stats_p1,test_refresh_mtmv,test_bitmap_filter"
+excludeDirectories = "workload_manager_p1,fault_injection_p0"


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscr...@doris.apache.org
For additional commands, e-mail: commits-h...@doris.apache.org

Reply via email to